System.Core 4.0.0.0 System.Linq.EnumerableQuery System.Collections.Generic.IEnumerable<T> System.Linq.IOrderedQueryable<T> System.Linq.IQueryable<T> System.Linq.IQueryProvider To be added. To be added.

Represents an collection as an data source.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class and associates the instance with an expression tree.

  An expression tree to associate with the new instance.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerator<T> To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Collections.IEnumerator To be added.

  Returns an enumerator that can iterate through the associated collection, or, if it is null, through the collection that results from rewriting the associated expression tree as a query on an data source and executing it.

  An enumerator that can be used to iterate through the associated data source.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the type of the data in the collection that this instance represents.

- Property
  4.0.0.0
  System.Linq.Expressions.Expression To be added. To be added.

  Gets the expression tree that is associated with or that represents this instance.

- Property
  4.0.0.0
  System.Linq.IQueryProvider To be added. To be added.

  Gets the query provider that is associated with this instance.

- Method
  4.0.0.0
  System.Linq.IQueryable `` To be added.

  Constructs a new object and associates it with a specified expression tree that represents an collection of data.

  An object that is associated with .

  An expression tree that represents an collection of data.
- Method
  4.0.0.0
  System.Linq.IQueryable<TElem> `` To be added. To be added.

  Constructs a new object and associates it with a specified expression tree that represents an collection of data.

  An EnumerableQuery object that is associated with .

  An expression tree to execute.
- Method
  4.0.0.0
  System.Object `` To be added.

  Executes an expression after rewriting it to call methods instead of methods on any enumerable data sources that cannot be queried by methods.

  The value that results from executing .

  An expression tree to execute.
- Method
  4.0.0.0
  TResult `` To be added. To be added.

  Executes an expression after rewriting it to call methods instead of methods on any enumerable data sources that cannot be queried by methods.

  The value that results from executing .

  An expression tree to execute.
- Method
  4.0.0.0
  System.String To be added.

  Returns a textual representation of the enumerable collection or, if it is null, of the expression tree that is associated with this instance.

  A textual representation of the enumerable collection or, if it is null, of the expression tree that is associated with this instance.